#include "StdAfx.h"
#include "BatUtil.h"

CBatUtil::CBatUtil(void)
{
}

CBatUtil::~CBatUtil(void)
{
}


BOOL CBatUtil::IsRunProgram(LPCTSTR guid) 
{
	//  GUID
	HANDLE handle = NULL;	
	BOOL bRunProgram = !(this->CreateMutex(guid, handle));
	DeleteMutex(handle);
	return bRunProgram;
}

BOOL CBatUtil::CreateMutex(LPCTSTR mutexName, HANDLE& handle)
{
	handle = ::CreateMutex( NULL, TRUE, mutexName );

	if( handle == NULL )
	{
		DWORD err = GetLastError();
		return FALSE;
	}

	if (GetLastError() == ERROR_ALREADY_EXISTS)
	{
		return FALSE;
	}

	return TRUE;
}

void CBatUtil::DeleteMutex(HANDLE& handle)
{
	if (handle)
	{
		ReleaseMutex(handle);
		CloseHandle(handle);
	}
	handle = NULL;
}